<%@page contentType="text/html;charset=UTF-8" %><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Frameset//EN" "http://www.w3.org/TR/html4/frameset.dtd">
<%@page import="java.text.NumberFormat" %>
<%@page import="be.destin.skos.core.SkosManager" %>
<%@page import="be.destin.skos.html.SkosHtmlManager" %>
<%@page import="be.destin.skos.html.SkosHtmlTable" %>
<%@page import="be.destin.skos.html.LocalError" %>
<%@page import="be.destin.skos.core.SchemeInterface" %>
<%@page import="be.destin.skos.core.SchemeUsage" %>
<%@page import="be.destin.skos.core.ConceptScheme" %>
<%@page import="be.destin.skos.core.Term" %>
<%@page import="java.util.Map" %>
<%@page import="java.util.Map.Entry" %>
<%@page import="java.util.LinkedList" %>
<%@page import="java.util.TreeMap" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@taglib uri="http://ajaxtags.org/tags/ajax" prefix="ajax" %>
<%	 
   SkosHtmlManager skosHtmlManager = SkosHtmlManager.getAskosiSessionInstance(request);
   SkosManager skosManager = skosHtmlManager.getSkosManager();
   String language = skosHtmlManager.getLanguage();
   String sort = request.getParameter("sort");
   String independant = request.getParameter("independant");
   String framing = request.getParameter("framed");
   boolean framed = framing != null && framing.equalsIgnoreCase("yes");
   if (independant != null && independant.equalsIgnoreCase("yes")) framed = false;
   String reciprocing = request.getParameter("reciprocal");
   boolean reciprocal = reciprocing != null && reciprocing.equalsIgnoreCase("yes");
   
   if (reciprocal) {
	for (SchemeInterface aScheme:skosManager.getConceptSchemes()) {
		if (aScheme instanceof ConceptScheme) {
			((ConceptScheme)aScheme).ensureReciprocalMatch();
		}
	}
   }

  TreeMap<String,SchemeInterface> SortSchemes = new TreeMap<String,SchemeInterface>();
  NumberFormat nf=NumberFormat.getInstance(); // Get Instance of NumberFormat
  nf.setMinimumIntegerDigits(9);  // The minimum Digits required is 9
  nf.setMaximumIntegerDigits(9); // The maximum Digits required is 9
  SkosHtmlTable skosHtmlTable = new SkosHtmlTable(skosHtmlManager);
  int nbColumns = 0;
  String modified = "";
  for (SchemeInterface aScheme:skosManager.getConceptSchemes()) {
    if (aScheme instanceof ConceptScheme) {
		nbColumns += skosHtmlTable.putScheme((ConceptScheme)aScheme);
		if ("alfa".equals(sort)) {
			 //SortSchemes.put(aScheme.getTitle(language).toUpperCase(),aScheme);
			 SortSchemes.put(aScheme.getAbout(),aScheme);
		} else {
			 int total = ((ConceptScheme)aScheme).applicationUsageTotal();
/***
			 for (String anApplication: ((ConceptScheme)aScheme).getUsage().keySet()) {
				if (((ConceptScheme)aScheme).isApplicationUsageModified(anApplication)) {
					modified = modified + aScheme.getAbout()+":"+anApplication+" ";
					((ConceptScheme)aScheme).setApplicationUsageModified(anApplication,false);
					if (((ConceptScheme)aScheme).isApplicationUsageModified(anApplication)) modified = modified+"! ";
				 }
			}
 ***/
			 SortSchemes.put(nf.format(999999999-total)+aScheme.getAbout(),aScheme);
			 //SortSchemes.put(nf.format(999999999-aScheme.getSize())+aScheme.getAbout(),aScheme);
		}
	}
  }
%>
<html>
<head>
<title><%=SortSchemes.size()%> concept schemes in <%=skosManager.getConfigDirectory()%></title>
<link rel="stylesheet" type="text/css" href="<%=request.getContextPath()%>/css/askosi.css" />
<link rel="stylesheet" type="text/css" href="<%=request.getContextPath()%>/css/ajaxtags.css" />
    <!-- Developed and tested using jQuery 1.3.2 -->
    <script type="text/javascript" src="js/jquery.js"></script>
    <script type="text/javascript" src="js/sessvars.js"></script>
    <script type="text/javascript" src="js/tablescroll.js"></script>
    <script type="text/javascript">
		sessvars.contextPath = "<%= request.getContextPath() %>";
		headerHeight=100;
		footerHeight=50;
	</script>
<style type="text/css">
 div#header{
  position:fixed;
  top:0px;
  left:0;
  width:100%;
  height:100px;
  background-color:#e0e0ff;
  border-bottom: solid 1px black;
 }
 div#footer{
  position:fixed;
  bottom:0px;
  left:0px;
  width:100%;
  height:50px;
  background-color:#e0e0ff;
  border-top: solid 1px black;
 }
</style>
</head>
<body class="contentpage">
<% if (framed) {
%><script language="JavaScript">
parent.parent.parent.parent.focusFrame(this);
</script><%
} else {%><div id="header">
<a href="tocstat.jsp?sort=alfa" alt="All Concept Schemes"><img align="left" src="image/askosilogo.jpg" height="100" border="0"/></a>
<%@include file="basket.jsp"%>
<div style="margin:8px 3px 3px 3px;"><form action="search.jsp" method="GET" class="searchForm">
	   <input type="hidden" name="scheme" value=""/>
	   	   <label for="leftTruncation" alt="Left Truncation"><b>*</b> &nbsp;
		   <b>by pieces:</b><input type="checkbox" name="leftTruncation" value="on"/></label><input type="text" name="query" size="30" value=""/><b>*</b>
	   	   <label for="byPieces" alt="By Pieces"><input type="checkbox" name="byPieces" value="on"/></label>
		<input type="image" src="image/search.png" name="Search" alt="Search">
	</form></div>
 <h3><img src="image/conceptscheme16.gif" border="0"/><%=SortSchemes.size()%> concept schemes: <small><%
  if ("alfa".equals(sort)) { %>
 [alphabetical] <a href="tocstat.jsp">frequency</a>
  <% } else { %>
  <a href="tocstat.jsp?sort=alfa">alphabetical</a> [frequency]
  <% } %> sort</small></h3>
  </div>
<%
}%>

<%if(!framed){%>
<div id="footer"><p style="margin:6px; padding:2px;"><span class="ToC">
 <a href="tocstat.jsp?sort=alfa">Alphabetical</a>
 or <a href="tocstat.jsp">Most Used Schemes <strong>Table of Content</strong></a>
 as a <a href="tocstat.jsp?profile=BIBLIO">BIBLIO</a></span></p>
<p style="margin:4px">Thesaurus navigation and maintenance, Indexation browsing are services developed in the <a href="http://www.askosi.org">ASKOSI</a> project.</p>
</div>
<%}%>

<div id="content">
<img src="image/carrevide.gif" height="100" border="0" alt="top margin"/><br style="clear:both"/>
<p><%=modified%></p>
<table cellspacing="0" class="tableWithFloatingHeader"><col/><col class="SkosTableColumnOdd"/><col/><%=skosHtmlTable.toHtmlColGroups()%><%
	skosHtmlTable.initRow();%>
		<tr class="<%=(skosHtmlTable.nextRowClass())%>"><th>&nbsp;</th><th>&nbsp;</th><th>&nbsp;</th><%=skosHtmlTable.toHtmlApplicationHeaders()%></tr>
		<tr class="<%=skosHtmlTable.nextRowClass()%>"><th class="SkosTableRole"<%=("alfa".equals(sort)?" align=\"left\"":"")%>><%=("alfa".equals(sort)?"Scheme":"Freq.")%></th>
			<th>&nbsp;</th><th>&nbsp;</th><%=skosHtmlTable.toHtmlRoleHeaders()%></tr><%
	long grandTotal = 0;
	for (SchemeInterface aScheme:SortSchemes.values()) {
		int total =((ConceptScheme)aScheme).applicationUsageTotal();
		grandTotal += total;
		%><tr class="<%=skosHtmlTable.nextRowClass()%>"><td class="<%=("alfa".equals(sort)?"SkosTableSchemeCode":"SkosTableSchemeSize")%>"><%=("alfa".equals(sort)?aScheme.getAbout():""+total)%></td>
		    <td class="SkosTableSchemeSize">
			<a href="view.jsp?scheme=<%=aScheme.getAbout()%>&display=concepts<%if(framed){%>&framed=yes<%}%>#concepts"<%-- target="askosi_scheme"--%>><%=aScheme.getSize()%></a>
		    </td><td class="SkosTableConcept">
			<a href="view.jsp?scheme=<%=aScheme.getAbout()%><%if(framed){%>&framed=yes<%}%>"<%-- target="askosi_scheme"--%>><%=skosHtmlManager.toHtmlImage(aScheme.getIconAdapted(skosHtmlManager),aScheme.getAbout(),false)%> <%=aScheme.getTitle(language)%></a>
			</td>
			<%=skosHtmlTable.toHtmlColumns(aScheme)%></tr><%
    }%>
	<tr class="<%=(skosHtmlTable.nextRowClass())%>"><th><%=grandTotal%></th><th class="SkosTableColumnOdd">&nbsp;</th><th>Columns Totals:</th><%=skosHtmlTable.toHtmlTotalColumns()%></tr>
		<tr class="floatingHeaders"><th class="SkosTableRole"<%=("alfa".equals(sort)?" align=\"left\"":"")%>><%=("alfa".equals(sort)?"Scheme":"Freq.")%></th>
			<th>&nbsp;</th><th>&nbsp;</th><%=skosHtmlTable.toHtmlRoleHeaders()%></tr>
</table>
<a href="tocstat.jsp?<%=(framed?"framed=yes&":"")%>reciprocal=yes">[Ensures Reciprocal Matching Relations when crossing Schemes boundaries]</a>
<br style="clear:both"/><img src="image/carrevide.gif" height="50" border="0" alt="bottom margin"/>
</div>
</body></html>