<%@page contentType="text/html;charset=UTF-8" %><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Frameset//EN" "http://www.w3.org/TR/html4/frameset.dtd">
<%@page import="be.destin.skos.core.SkosManager" %>
<%@page import="be.destin.skos.html.SkosHtmlManager" %>
<%@page import="be.destin.skos.html.SkosHtmlTable" %>
<%@page import="be.destin.skos.core.SchemeInterface" %>
<%@page import="be.destin.skos.core.SchemeUsage" %>
<%@page import="be.destin.skos.core.ConceptScheme" %>
<%@page import="be.destin.skos.core.Concept" %>
<%@page import="be.destin.skos.core.Term" %>
<%@page import="be.destin.skos.search.SkosSearch" %>
<%@page import="be.destin.skos.view.SkosView" %>
<%@page import="be.destin.skos.view.SkosViewType" %>
<%@page import="be.destin.skos.view.SkosViewManager" %>
<%@page import="be.destin.util.Util" %>
<%@page import="java.util.Map" %>
<%@page import="java.util.HashSet" %>
<%@page import="java.util.ArrayList" %>
<%@page import="java.util.TreeMap" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@taglib uri="http://ajaxtags.org/tags/ajax" prefix="ajax" %>
<%	 
   SkosHtmlManager skosHtmlManager = SkosHtmlManager.getAskosiSessionInstance(request);
   SkosManager skosManager = skosHtmlManager.getSkosManager();
   String language = skosHtmlManager.getLanguage();
   String schemeCode = request.getParameter("scheme");
   String sort = request.getParameter("sort");
   String query = request.getParameter("query");
   String basket = request.getParameter("basket");
   String leftTruncation = request.getParameter("leftTruncation");
   String byPieces = request.getParameter("byPieces");
   String independant = request.getParameter("independant");
   String framing = request.getParameter("framed");
   String agrovocTerms ="";
   String elisTerms ="";
   boolean framed = framing != null && framing.equalsIgnoreCase("yes");
   if (independant != null && independant.equalsIgnoreCase("yes")) framed = false;
%>
<html>
<head>
<link rel="stylesheet" type="text/css" href="<%=request.getContextPath()%>/css/askosi.css" />
<link rel="stylesheet" type="text/css" href="<%=request.getContextPath()%>/css/ajaxtags.css" />
<%
   ConceptScheme aScheme = null;
   SkosHtmlTable skosHtmlTable = null;
   int nbColumns = 0;
   if (schemeCode != null && !schemeCode.isEmpty()) {
       aScheme = (ConceptScheme)skosManager.getScheme(schemeCode);
   }
   long searchTime = System.currentTimeMillis();
   ArrayList<Concept> result = null;
   if (query != null) {
		result = SkosSearch.search(skosHtmlManager,(SchemeInterface)aScheme,query, ! "on".equals(leftTruncation), "on".equals(byPieces));
   } else if (basket != null) {
		query = "Your Basket!";
		HashSet<Concept> unsorted = skosManager.toSetScheme_Concept(basket,null,false);
		TreeMap<String,Concept> sorter = new TreeMap<String,Concept>();
		for (Concept aConcept: unsorted) {
			String key = aConcept.getInScheme().getAbout()+' '+aConcept.getSortLabel(language);
			if (key != null) {
				sorter.put(key,aConcept);
			}
		}
		result = new ArrayList<Concept>(sorter.values());
   }
   if (result == null) {
		result = new ArrayList<Concept>();
   }
   searchTime = System.currentTimeMillis() - searchTime;
   int resultSize = 0;
   if (result != null && !result.isEmpty()) {
		resultSize = result.size();
   }
%>
<title>Search <%=query%> <%if(schemeCode != null) {%>within Scheme <%=schemeCode%><%}%>: <%=result.size()%> concepts</title>
    <script type="text/javascript" src="js/jquery.js"></script>
    <script type="text/javascript" src="js/sessvars.js"></script>
    <script type="text/javascript" src="js/tablescroll.js"></script>
    <script type="text/javascript">
		sessvars.contextPath = "<%= request.getContextPath() %>";
		headerHeight=100;
		footerHeight=50;
	</script>
<style type="text/css">
 div#header{
  position:fixed;
  top:0px;
  left:0;
  width:100%;
  height:100px;
  background-color:#e0e0ff;
  border-bottom: solid 1px black;
 }
 div#footer{
  position:fixed;
  bottom:0px;
  left:0px;
  width:100%;
  height:50px;
  background-color:#e0e0ff;
  border-top: solid 1px black;
 }
</style>
</head>
<body class="contentpage"><%
   if (framed) {
%><script language="JavaScript">
parent.parent.parent.parent.focusFrame(this);
parent.frames['askosi_scheme_bottom'].document.search.scheme.value="<%=schemeCode%>";
</script>
<% }
%><div id="header">
<a href="tocstat.jsp" alt="All Concept Schemes"><img align="left" src="image/askosilogo.jpg" height="100" border="0"/></a>
<%@include file="basket.jsp"%>
<div style="margin:8px 4px 4px 4px;">
<form action="search.jsp" method="GET" class="searchForm">
	   <input type="hidden" name="scheme" value="<%=schemeCode%>"/>
	   	   <label for="leftTruncation" alt="Left Truncation"><b>*</b> &nbsp;
		   <b>by pieces:</b><input type="checkbox" name="leftTruncation" value="on" <%
			if ("on".equals(leftTruncation)) {
				%>checked<%
			}%>/></label><input type="text" name="query" size="30" value="<%=query%>"/><b>*</b>
	   	   <label for="byPieces" alt="By Pieces"><input type="checkbox" name="byPieces" value="on" <%
			if ("on".equals(byPieces)) {
				%>checked<%
			}%>/></label>
			<input type="image" src="image/search.png" name="Search" alt="Search">
	</form>
<%
   if(schemeCode != null && !"".equals(schemeCode)) {
     %>within <img src="image/conceptscheme16.gif" border="0"/><a href="view.jsp?scheme=<%=schemeCode%>"><%=schemeCode%></a><%
   }%> = 
<% if (resultSize > 0) {
       %><big><img src="image/concept16.gif" border="0"/><%=resultSize%> concepts:</big><%
   } else {
       %> &nbsp;  <big>not found</big>
<% }%> &nbsp <small>CPU time: <%=searchTime%>ms</small></p><p style="line-height:20pt; font-size:10pt;"> &nbsp; 
<%
   if(schemeCode == null || "".equals(schemeCode)) {
     if (resultSize > 0) {
		 int compte = 0;
		 ConceptScheme precScheme = null;
	     for(Concept aConcept: result) {
			if (aConcept.getInScheme() != precScheme) {
				if (compte > 0) {
					%><a style="border:solid 1px grey; background-color:white; padding:2px; padding-top:6px; margin-top:8px; white-space:nowrap" href="#result_<%=precScheme.getAbout()%>"/><%=skosHtmlManager.toHtmlImage(precScheme.getIconAdapted(skosHtmlManager),precScheme.getAbout(),false)%><%=precScheme.getTitle(language)%>:<big><%=compte%></big></a> &nbsp; <%
				}
				precScheme = aConcept.getInScheme();
			  compte = 0;
			}
			compte++;
		 }
		 if (compte > 0) {
			%><a style="border:solid 1px grey; background-color:white; padding:2px; padding-top:6px; margin-top:8px; white-space:nowrap" href="#result_<%=precScheme.getAbout()%>"/><%=skosHtmlManager.toHtmlImage(precScheme.getIconAdapted(skosHtmlManager),precScheme.getAbout(),false)%><%=precScheme.getTitle(language)%>:<big><%=compte%></big></a><br/><%
		 }
	 }
   }%>
</div></div>

<div id="content">
<img src="image/carrevide.gif" height="100" border="0" alt="top margin"/><br style="clear:both"/>
<% if (resultSize > 0) {
		 int compte = 0;
		 ConceptScheme precScheme = null;
		 char initiale = 0x00;
		 String[] QUERIES = Util.prepareHighlight(query,"on".equals(byPieces));
	     for(Concept aConcept: result) {
				    char currLetter = Util.noAccent((""+aConcept.getPrefLabel(language).charAt(0)).toUpperCase()).charAt(0);
					if (aConcept.getInScheme() != precScheme || currLetter != initiale) {
					  if (aConcept.getInScheme() != precScheme) {
						  precScheme = aConcept.getInScheme();
					      skosHtmlTable = new SkosHtmlTable(skosHtmlManager);
						  skosHtmlTable.setBasket(true);
						  nbColumns = skosHtmlTable.putScheme(precScheme);
						  if (compte > 0) {
						     %></table><%
							 if(!agrovocTerms.isEmpty()) {%>
<p style="background-color:#e0ffe0; border:solid 1px black; margin:6px; text-align:center"><a target="_blank" href="http://agris.fao.org/?query=agrovoc:(<%=agrovocTerms%>)">Search in AGRIS</a></p><%
								agrovocTerms="";
							 }
							 if(!elisTerms.isEmpty()) {%>
<p style="background-color:#e0ffe0; border:solid 1px black; margin:6px; text-align:center"><a target="_blank" href="http://eprints.rclis.org/simple-search?query=<%=elisTerms.substring(4)%>)">Search in E-LIS</a></p><%
								elisTerms="";
							 }
							 %></div><div style="clear:both;line-height:1px;padding:0px;margin:0px;"> &nbsp; </div><%
						  }
						  %><div style="position: absolute; margin-top:-100px;"><a name="result_<%=precScheme.getAbout()%>"></a></div>
						  <div style="border:solid 1px; padding:8px 8px 8px 8px; margin:3px 3px 3px 3px; float:left; background-color:#ddddff;"><img src="image/conceptscheme16.gif" border="0"/> <big><%=skosHtmlManager.toHtmlImage(precScheme.getIconAdapted(skosHtmlManager),precScheme.getAbout(),false)%><%=precScheme.getTitle(language)%></big>
						  <table border="0" cellspacing="0" style="border-collapse:collapse; border:1px solid black; background-color:#ffffff;"><col/><col/><%=skosHtmlTable.toHtmlColGroups()%><%
					  }
					  initiale = currLetter;
					  skosHtmlTable.initRow();
					  %><tr class="<%=(skosHtmlTable.nextRowClass())%>">
						<th align="left">&nbsp;</th>
						<th align="left">[<%=initiale%>]</th>
						<%=skosHtmlTable.toHtmlApplicationHeaders()%></tr>
						<tr class="<%=skosHtmlTable.nextRowClass()%>">
						<th align="left">&nbsp;</th>
						<th align="left">&nbsp;</th>
					  <%=skosHtmlTable.toHtmlRoleHeaders()%></tr><%
					}
			compte++;
		    String display = aConcept.toHtmlLabel(skosHtmlManager);
			if ("c".equals(aConcept.getInScheme().getAbout())) agrovocTerms = agrovocTerms+" %22"+aConcept.getPrefLabel("en")+"%22";
			if ("jita".equals(aConcept.getInScheme().getAbout())) elisTerms = elisTerms+" OR %22"+aConcept.getPrefLabel("en")+"%22";
		    if (QUERIES != null) display = Util.highlight(display,QUERIES);
			%><tr class="<%=skosHtmlTable.nextRowClass()%>">
				</td>
				<td class="SkosStatusConcept">
					<%=aConcept.toHtmlStatus(skosHtmlManager)%>
				</td>
				<td class="SkosTableConcept"><%=display%></td>
			<%=skosHtmlTable.toHtmlColumns(aConcept)%></tr><%
		 }%></table><%
		 if(!agrovocTerms.isEmpty()) {%>
<p style="background-color:#e0ffe0; border:solid 1px black; margin:6px; text-align:center"><a target="_blank" href="http://agris.fao.org/?query=agrovoc:(<%=agrovocTerms%>)">Search in AGRIS</a></p><%
			agrovocTerms="";
		 }
		 if(!elisTerms.isEmpty()) {%>
<p style="background-color:#e0ffe0; border:solid 1px black; margin:6px; text-align:center"><a target="_blank" href="http://eprints.rclis.org/simple-search?query=<%=elisTerms.substring(4)%>">Search in E-LIS</a></p><%
			elisTerms="";
		 }
		 %></div><%
    }%>
<br style="clear:both"/><img src="image/carrevide.gif" height="50" border="0" alt="bottom margin"/>
</div>

<%if(!framed){%>
<div id="footer"><p style="margin:6px; padding:2px;">
<span class="ToC">
 <a href="tocstat.jsp?sort=alfa">Alphabetical</a>
 or <a href="tocstat.jsp">Most Used Schemes <strong>Table of Content</strong></a>
 as a <a href="tocstat.jsp?profile=BIBLIO">BIBLIO</a></span></p>
<p style="margin:4px">Thesaurus navigation and maintenance, Indexation browsing are services developed in the <a href="http://www.askosi.org">ASKOSI</a> project.</p>
</div>
<%}%>
</body></html>