    <skos:Concept rdf:about="<%=baseURL%><%=aConcept.getScheme_About()%>">
        <skos:inScheme rdf:resource="<%=baseURL%><%=aConcept.getInScheme().getAbout()%>"/>
<%--
	if (aConcept.getStatus() != null) {
     %>        <skos:status rdf:resource="http://metadataregistry.org/uri/RegStatus/<%=aConcept.getStatus().replace("status_","")%>"/>
<%  }--%><%
    for (LocalLinkedConcept anAlias: aConcept.getAlias()) {
     %>        <skos:notation><%=aConcept.getInScheme().getAbout()%>_<%=anAlias.getAbout()%></skos:notation>
<%
    }
    for (Notation aNotation: aConcept.getNotation()) {
     %>        <skos:notation><%=aNotation.getNotation()%></skos:notation>
<%
    }
    if (aConcept.getPrefLabel() != null) {
     %><%=aConcept.getPrefLabel().toHtml("        <skos:prefLabel xml:lang=\"[lang]\">[value]</skos:prefLabel>\n")%><%
    }
    if (aConcept.getAltLabel() != null) {
     %><%=aConcept.getAltLabel().toHtml("        <skos:altLabel xml:lang=\"[lang]\">[value]</skos:altLabel>\n")%><%
    }
    if (aConcept.getHiddenLabel() != null) {
     %><%=aConcept.getHiddenLabel().toHtml("        <skos:hiddenLabel xml:lang=\"[lang]\">[value]</skos:hiddenLabel>\n")%><%
    }
    if (aConcept.getChangeNote() != null) {
     %><%=aConcept.getChangeNote().toHtml("        <skos:changeNote xml:lang=\"[lang]\">[value]</skos:changeNote>\n")%><%
	}
    if (aConcept.getDefinition() != null) {
     %><%=aConcept.getDefinition().toHtml("        <skos:definition xml:lang=\"[lang]\">[value]</skos:definition>\n")%><%
	}
    if (aConcept.getEditorialNote() != null) {
     %><%=aConcept.getEditorialNote().toHtml("        <skos:editorialNote xml:lang=\"[lang]\">[value]</skos:editorialNote>\n")%><%
	}
    if (aConcept.getExample() != null) {
     %><%=aConcept.getExample().toHtml("        <skos:example xml:lang=\"[lang]\">[value]</skos:example>\n")%><%
	}
    if (aConcept.getHistoryNote() != null) {
     %><%=aConcept.getHistoryNote().toHtml("        <skos:historyNote xml:lang=\"[lang]\">[value]</skos:historyNote>\n")%><%
	}
    if (aConcept.getScopeNote() != null) {
     %><%=aConcept.getScopeNote().toHtml("        <skos:scopeNote xml:lang=\"[lang]\">[value]</skos:scopeNote>\n")%><%
	}
    for (String aboutRelConcept: aConcept.getAboutBroader()) {
     %>        <skos:broader rdf:resource="<%=baseURL%><%=aboutScheme%>_<%=aboutRelConcept%>"/>
<%
    }
    for (String aboutRelConcept: aConcept.getAboutNarrower()) {
     %>        <skos:narrower rdf:resource="<%=baseURL%><%=aboutScheme%>_<%=aboutRelConcept%>"/>
<%
    }
    for (String aboutRelConcept: aConcept.getAboutRelated()) {
     %>        <skos:related rdf:resource="<%=baseURL%><%=aboutScheme%>_<%=aboutRelConcept%>"/>
<%
    }
    for (String aboutRelConcept: aConcept.getScheme_AboutBroadMatch()) {
	   Concept[] relConcept = skosManager.getConcept(aboutRelConcept);
	   if (relConcept!=null && relConcept.length > 0) {
     %>        <skos:broadMatch rdf:resource="<%=baseURL%><%=relConcept[0].getScheme_About()%>"/>
<%     }
    }
    for (String aboutRelConcept: aConcept.getScheme_AboutNarrowMatch()) {
	   Concept[] relConcept = skosManager.getConcept(aboutRelConcept);
	   if (relConcept!=null && relConcept.length > 0) {
     %>        <skos:narrowMatch rdf:resource="<%=baseURL%><%=relConcept[0].getScheme_About()%>"/>
<%     }
    }
    for (String aboutRelConcept: aConcept.getScheme_AboutExactMatch()) {
	   Concept[] relConcept = skosManager.getConcept(aboutRelConcept);
	   if (relConcept!=null && relConcept.length > 0) {
     %>        <skos:exactMatch rdf:resource="<%=baseURL%><%=relConcept[0].getScheme_About()%>"/>
<%     }
    }
    for (String aboutRelConcept: aConcept.getScheme_AboutCloseMatch()) {
	   Concept[] relConcept = skosManager.getConcept(aboutRelConcept);
	   if (relConcept!=null && relConcept.length > 0) {
     %>        <skos:closeMatch rdf:resource="<%=baseURL%><%=relConcept[0].getScheme_About()%>"/>
<%     }
    }
    for (String aboutRelConcept: aConcept.getScheme_AboutRelatedMatch()) {
	   Concept[] relConcept = skosManager.getConcept(aboutRelConcept);
	   if (relConcept!=null && relConcept.length > 0) {
     %>        <skos:relatedMatch rdf:resource="<%=baseURL%><%=relConcept[0].getScheme_About()%>"/>
<%     }
    }
	%><%--        < %=aConcept.toRdfConceptUsage(skosHtmlManager)%>< %--
URL? Display URL
	<rdfs:isDefinedBy rdf:resource="http://zbw.eu/stw/descriptor/14066-0/about"/>

CONCEPT USAGE:         <zbwext:indexedItem rdf:resource="http://zbw.eu/econis/search/descriptor/Coconut"/>

REVERSE OF USAGE (in a reified):    <dct:subject>
Trouver dans le DCTERM quelque chose exprimant: application, role, count, categories...

Exemple invers de la reification:
  <rdf:Description rdf:about="http://zbw.eu/econis/search/descriptor/Coconut">
    <dct:subject>
      <zbwext:Descriptor rdf:about="http://zbw.eu/stw/descriptor/14066-0">
        <zbwext:indexedItem rdf:resource="http://zbw.eu/econis/search/descriptor/Coconut"/>
        <rdfs:isDefinedBy rdf:resource="http://zbw.eu/stw/descriptor/14066-0/about"/>

        <rdf:type rdf:resource="http://www.w3.org/2004/02/skos/core#Concept"/>
        <skos:broader rdf:resource="http://zbw.eu/stw/thsys/70169"/>
        <skos:broader rdf:resource="http://zbw.eu/stw/descriptor/14117-2"/>
        <skos:broader rdf:resource="http://zbw.eu/stw/descriptor/14070-2"/>
        <skos:prefLabel xml:lang="de">Kokosnuss</skos:prefLabel>
        <skos:prefLabel xml:lang="en">Coconut</skos:prefLabel>
        <skos:closeMatch rdf:resource="http://dbpedia.org/resource/Coconut"/>
        <rdfs:seeAlso rdf:resource="http://zbw.eu/econis/search/descriptor/Coconut"/>

        <skos:inScheme rdf:resource="http://zbw.eu/stw"/>
        <skos:altLabel xml:lang="de">Kopra</skos:altLabel>
        <skos:altLabel xml:lang="de">Kokosnu</skos:altLabel>
      </zbwext:Descriptor>
    </dct:subject>
  </rdf:Description>

--%></skos:Concept>
