<%@page contentType="text/html;charset=UTF-8" %><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Frameset//EN" "http://www.w3.org/TR/html4/frameset.dtd">
<%@page import="be.destin.skos.core.SkosManager" %>
<%@page import="be.destin.skos.html.SkosHtmlManager" %>
<%@page import="be.destin.skos.html.SkosHtmlTable" %>
<%@page import="be.destin.skos.core.SchemeInterface" %>
<%@page import="be.destin.skos.core.SchemeFactory" %>
<%@page import="be.destin.skos.core.SchemeUsage" %>
<%@page import="be.destin.skos.core.ConceptScheme" %>
<%@page import="be.destin.skos.core.Concept" %>
<%@page import="be.destin.skos.core.Term" %>
<%@page import="be.destin.skos.view.SkosView" %>
<%@page import="be.destin.skos.view.SkosViewType" %>
<%@page import="be.destin.skos.view.SkosViewManager" %>
<%@page import="be.destin.skos.view.ViewConcept" %>
<%@page import="be.destin.util.Util" %>
<%@page import="java.util.NavigableSet" %>
<%@page import="java.util.Map.Entry" %>
<%@page import="java.util.Map" %>
<%@page import="java.util.LinkedList" %>
<%@page import="java.util.TreeMap" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@taglib uri="http://ajaxtags.org/tags/ajax" prefix="ajax" %>
<%	 
   SkosHtmlManager skosHtmlManager = SkosHtmlManager.getAskosiSessionInstance(request);
   SkosManager skosManager = skosHtmlManager.getSkosManager();
   String language = skosHtmlManager.getLanguage();
   String schemeCode = request.getParameter("scheme");
   String sort = request.getParameter("sort");
   String theRole = request.getParameter("role");
   String theApplication = request.getParameter("application");
   String display = request.getParameter("display");
   String duplicate = request.getParameter("duplicate");
   String reload = request.getParameter("reload");
   String independant = request.getParameter("independant");
   String framing = request.getParameter("framed");
   boolean framed = framing != null && framing.equalsIgnoreCase("yes");
   if (independant != null && independant.equalsIgnoreCase("yes")) framed = false;
   framing = "";
   if (framed) framing = "&framed=yes";
   String everything = request.getParameter("everything");
   boolean every = everything != null && everything.equalsIgnoreCase("yes");
   final int maxCount = 100;
   int maxDepth = 0;
%>
<html>
<head>
<link rel="stylesheet" type="text/css" href="<%=request.getContextPath()%>/css/askosi.css" />
<link rel="stylesheet" type="text/css" href="<%=request.getContextPath()%>/css/ajaxtags.css" />
<title>Scheme <%=schemeCode%></title>
<%   if (framed) {
%><script language="JavaScript">
			function initParams() {
				parent.parent.parent.focusFrame(this);
				if (parent.frames[2] != null) {
					parent.frames[2].document.forms['search'].scheme.value="<%=schemeCode%>";
				}
			}
</script><%
	} %>
    <script type="text/javascript" src="js/jquery.js"></script>
    <script type="text/javascript" src="js/sessvars.js"></script>
    <script type="text/javascript" src="js/tablescroll.js"></script>
    <script type="text/javascript">
		sessvars.contextPath = "<%= request.getContextPath() %>";
		headerHeight=100;
		footerHeight=50;
	</script>
<style type="text/css">
 div#header{
  position:fixed;
  top:0px;
  left:0;
  width:100%;
  height:100px;
  background-color:#e0e0ff;
  border-bottom: solid 1px black;
 }
 div#footer{
  position:fixed;
  bottom:0px;
  left:0px;
  width:100%;
  height:50px;
  background-color:#e0e0ff;
  border-top: solid 1px black;
 }
</style>
</head>
<body <%if (framed){%>onload="initParams()"<%}%> class="contentpage">
<%
   SchemeInterface aScheme = skosManager.openScheme(schemeCode);
   if (aScheme != null) {
		if (reload != null && !reload.isEmpty()) {
			SchemeFactory sf = new SchemeFactory(skosManager);
			if (sf.reloadConfig(schemeCode)) {
				%><h1>Reload DONE!</h1><%
			} else {
				%><h1>Reload FAILED!</h1><%
			}
		}
	   ConceptScheme conScheme = null;
	   if (aScheme instanceof ConceptScheme) {
	     conScheme = (ConceptScheme)aScheme;
		 if (conScheme.isHierarchized()) {
			maxDepth = conScheme.getMaxDepth();
		 }
	     TreeMap<String,String> allLabels = new TreeMap<String,String>();
		 if (".".equals(duplicate)) {
  		    %><h3>Duplicates=<%=conScheme.checkDuplicatedLabel(allLabels,false)%></h3><%
		 } else if ("@".equals(duplicate)) {
  		    %><h3>Duplicates=<%=conScheme.checkDuplicatedLabel(allLabels,true)%></h3><%
		 } else if ("!".equals(duplicate)) {
		    int dupTotal = 0;
		    for (String matchSchemeAbout : conScheme.getMatchedSchemes()) {
			   SchemeInterface matchScheme = skosManager.getScheme(matchSchemeAbout);
			   if (matchScheme != null) {
			      if (matchScheme instanceof ConceptScheme) {
					dupTotal += ((ConceptScheme)matchScheme).checkDuplicatedLabel(allLabels,false);
				  }
			   }
			   dupTotal += conScheme.checkDuplicatedLabel(allLabels,false);
			}
  		    %><h3>Duplicates with Related=<%=dupTotal%></h3><%
		 }
	   }
	   String mainTitle = aScheme.getTitle(language);
	   String mainDesc = aScheme.getDescription(language);
	%>
<div id="header">
<a href="tocstat.jsp" alt="All Concept Schemes"><img align="left" src="image/askosilogo.jpg" height="100" border="0"/></a>
<%@include file="basket.jsp"%>
<div style="margin:8px 4px 4px 4px;">
<big style="border:1px solid black; padding:5px 12px 5px 8px;"><img src="image/conceptscheme16.gif" border="0"/><tt><%=aScheme.getAbout()%></tt> : <%=skosHtmlManager.toHtmlImage(aScheme.getIconAdapted(skosHtmlManager),aScheme.getAbout(),false)%> <%=Util.escapeHTMLEntities(mainTitle)%></big>
<form action="search.jsp" method="GET" class="searchForm">
	   <input type="hidden" name="scheme" value="<%=schemeCode%>"/>
	   	   <label for="leftTruncation" alt="Left Truncation"><b>*</b> &nbsp;
		   <b>by pieces:</b><input type="checkbox" name="leftTruncation" value="on"/></label><input type="text" name="query" size="30" value=""/><b>*</b>
	   	   <label for="byPieces" alt="By Pieces"><input type="checkbox" name="byPieces" value="on"/></label>
			<input type="image" src="image/search.png" name="Search" alt="Search">
</form></div><p>
<a href="view.jsp?scheme=<%=aScheme.getAbout()%>&display=concepts<%=framing%>#concepts"><b><%=aScheme.getSize()%> concepts</b></a>
<% if (maxDepth > 0) {
	 %>, Max.depth <span class="math">&#8615;</span><%=maxDepth%><%
   }
%>, List: <% if ("alfa".equals(sort)) { %>
[alphabetical] or  <a href="view.jsp?scheme=<%=schemeCode%>&display=concepts#concepts">hierarchy</a>
<% } else { %>
<a href="view.jsp?sort=alfa&scheme=<%=schemeCode%>&display=concepts#concepts">alphabetical</a> or
<%   if (display==null || display.isEmpty()) { %>
 <a href="view.jsp?scheme=<%=schemeCode%>&display=concepts#concepts">hierarchy</a>
<%   } else { %>
 [hierarchy]
<%   }
   } %>
</p></div>

<%if(!framed){%>
<div id="footer"><p style="margin:6px; padding:2px;"><span class="ToC">
 <a href="tocstat.jsp?sort=alfa">Alphabetical</a>
 or <a href="tocstat.jsp">Most Used Schemes <strong>Table of Content</strong></a>
 as a <a href="tocstat.jsp?profile=BIBLIO">BIBLIO</a></span></p>
<p style="margin:4px">Thesaurus navigation and maintenance, Indexation browsing are services developed in the <a href="http://www.askosi.org">ASKOSI</a> project.</p>
</div>
<%}%>

<div id="content">
<img src="image/carrevide.gif" height="100" border="0" alt="top margin"/><br style="clear:both"/>
	<%if (mainDesc != null && !mainDesc.isEmpty()) { %>: <%=Util.escapeHTMLEntities(mainDesc)%>
	<%} %>
	<ul class="unicode" style="background-color:#efe;"><%
	  if (aScheme.getTitle() != null) {
	    for (Term aTerm:aScheme.getTitle()) {
	       if ( mainTitle != aTerm.getValue() /*! language.equals(aTerm.getLang())*/ ) {
           %><li><b><span class="math">&#9755;</span></b><span class="language">&nbsp;<%=Util.fixColumns(aTerm.getLang(),2)%></span> <b><%=Util.escapeHTMLEntities(aTerm.toHtmlValue())%></b><%
		     String aDesc = aScheme.getDescription(aTerm.getLang());
			 if (aDesc != null && !aDesc.isEmpty()) { %>: <%=Util.escapeHTMLEntities(aDesc)%><% }
		   %></li><%
	       }
        }
	  }%>
	</ul>
	<div style="background-color:#ffd">
	<%
	LinkedList<String> creators = aScheme.getCreator();
	if (creators != null && !creators.isEmpty()) {
	%><h4>Creators: <%=creators.size()%></h4>
	<ul class="unicode"><%
		for (String aName: creators) {
           %><li><%=Util.escapeHTMLEntities(aName)%></li><%
        }%>
	</ul>
	<%}
	LinkedList<String> contributors = aScheme.getContributor();
	if (contributors != null && !contributors.isEmpty()) {
	%><h4>Contributors: <%=contributors.size()%></h4>
	<ul class="unicode"><%
		for (String aName: contributors) {
           %><li><%=Util.escapeHTMLEntities(aName)%></li><%
        }%>
	</ul>
	<%}
	%></div><%
	   SkosHtmlTable skosHtmlTable = new SkosHtmlTable(skosHtmlManager);
	   skosHtmlTable.setBasket(false);
	   if (aScheme instanceof ConceptScheme) {
			int nbColumns = skosHtmlTable.putScheme(conScheme);
%>	   
<table cellspacing="0" class="tableWithFloatingHeader"><col/><col/><%=skosHtmlTable.toHtmlColGroups()%><%
	skosHtmlTable.initRow();%>
			  <tr class="<%=(skosHtmlTable.nextRowClass())%>"><th align="left">&nbsp;</th><th align="left"> </th><%=skosHtmlTable.toHtmlApplicationHeaders()%></tr>
			  <tr class="<%=skosHtmlTable.nextRowClass()%>"><th class="SkosTableRole">Total</th><th>&nbsp;</th><%=skosHtmlTable.toHtmlRoleHeaders()%></tr><%
		int total =conScheme.applicationUsageTotal();
		%><tr class="<%=skosHtmlTable.nextRowClass()%>"><th class="SkosTableCount"><%=total%></th>
		    <td class="SkosTableConcept">
			<a href="view.jsp?scheme=<%=aScheme.getAbout()%>&display=concepts<%=framing%>#concepts"<%-- target="askosi_scheme"--%>><%=aScheme.getSize()%></a>
			<a href="view.jsp?scheme=<%=aScheme.getAbout()%><%=framing%>"<%-- target="askosi_scheme"--%>><%=skosHtmlManager.toHtmlImage(aScheme.getIconAdapted(skosHtmlManager),aScheme.getAbout(),false)%> <%=aScheme.getTitle(language)%></a>
			</td>
			<%=skosHtmlTable.toHtmlColumns(conScheme)%></tr>
			<tr class="floatingHeaders"><th class="SkosTableRole">Total</th><th>&nbsp;</th><%=skosHtmlTable.toHtmlRoleHeaders()%></tr>
</table>
<%
		skosHtmlTable.setBasket(true);
		Map<String,LinkedList<SchemeUsage>> usages = conScheme.getUsage();
		if (theApplication != null && theRole != null && !theApplication.isEmpty() && !theRole.isEmpty()) {
			LinkedList<SchemeUsage> appUsages = usages.get(theApplication);
			if (appUsages != null && !appUsages.isEmpty()) {
  			  for (SchemeUsage dataRole: appUsages) {
				if (dataRole.getRole().equals(theRole)) {
				%><%--=dataRole.freqMapToHtml(skosHtmlManager, 100)--%>
				<div style="position: absolute; margin-top:-100px;"><a name="tops"></a></div>
<table cellspacing="0" class="tableWithFloatingHeader"><col/><col/><col/><%=skosHtmlTable.toHtmlColGroups()%><%
					NavigableSet<Integer> freqs = dataRole.getFreqMap().descendingKeySet();
					skosHtmlTable.initRow();
					  %><tr class="<%=(skosHtmlTable.nextRowClass())%>">
					    <th>&nbsp;</th>
						<th class="SkosTableRole">Freq.</th>
					    <th>&nbsp;</th>
						<%=skosHtmlTable.toHtmlApplicationHeaders()%></tr>
						<tr class="<%=(skosHtmlTable.nextRowClass())%>">
					    <th>&nbsp;</th>
					    <th><%=skosHtmlManager.toHtmlRole(theApplication,theRole,conScheme)%></th>
					    <th>&nbsp;</th>
						<%=skosHtmlTable.toHtmlRoleHeaders()%></tr><%
                    int count = 0;
					for (Integer aFreq : freqs) {
						for (String anAbout: dataRole.getFreqMap().get(aFreq)) {
							Concept aConcept = dataRole.getInScheme().getConcept(anAbout);
							if (aConcept != null) {
							  count++;
							  if (!every && count > maxCount) break;
							%><tr class="<%=(skosHtmlTable.nextRowClass())%>">
							<td class="SkosStatusConcept"><%=aConcept.toHtmlStatus(skosHtmlManager)%></td>
							<th class="SkosTableCount"><%=aFreq%></th>
							<td class="SkosTableConcept"><%=aConcept.toHtmlLabel(skosHtmlManager)%></td><%=skosHtmlTable.toHtmlColumns(aConcept)%></tr><%
							}
						}
						if (!every && count > maxCount) break;
					}
					%>
						<tr class="floatingHeaders">
					    <th>&nbsp;</th>
					    <th><%=skosHtmlManager.toHtmlRole(theApplication,theRole,conScheme)%></th>
					    <th>&nbsp;</th>
						<%=skosHtmlTable.toHtmlRoleHeaders()%></tr></table><%
					if (!every && count > maxCount) {
					   %><a href="<%=request.getContextPath()%>/view.jsp?everything=yes&scheme=<%=aScheme.getAbout()%><%=framing%>&display=tops&application=<%=theApplication%>&role=<%=theRole%>#tops" class="linkaction">All <%=freqs.size()%> concepts' usages frequencies]</a><br/><%  
					}
				}
			}
		  }
	    }
		%><br style="clear:both"/><a href="view.jsp?scheme=<%=aScheme.getAbout()%>&display=errors&duplicate=.<%=framing%>#errors" class="linkaction">Check duplicates</a><a href="view.jsp?scheme=<%=aScheme.getAbout()%>&display=errors&duplicate=@<%=framing%>#errors" class="linkaction">strictly</a><%
		if (!conScheme.getMatchedSchemesMap().isEmpty()) {
		%><div style="border:1px solid black; background-color:#e7e7ff"><h4><img src="image/relatedmatch16.gif" border="0"/>Match Relations with <%=conScheme.getMatchedSchemesMap().entrySet().size()%> <img src="image/conceptscheme16.gif" border="0"/>schemes</h4><ul><%
		for (Entry<String,Integer> anEntry : conScheme.getMatchedSchemesMap().entrySet()) {
			%><li style="list-style-image: url('image/conceptscheme16.gif');"><%--img src="image/conceptscheme16.gif" border="0"/--%><%
			SchemeInterface matchScheme = skosManager.getScheme(anEntry.getKey());
			if (matchScheme == null) {
				%><%=anEntry.getKey()%><%
			} else {
				%><%=skosHtmlManager.toHtmlImage(matchScheme.getIconAdapted(skosHtmlManager),matchScheme.getAbout(),false)%>
				<a href="view.jsp?scheme=<%=matchScheme.getAbout()%><%=framing%>"><%=matchScheme.getTitle(language)%></a><%
			}
			%> : <img src="image/concept16.gif" border="0"/><%=anEntry.getValue().toString()%>
			</li><%
		}
		%></ul><a href="view.jsp?scheme=<%=aScheme.getAbout()%>&display=errors&duplicate=!<%=framing%>#errors" class="linkaction">Check duplicates with these related schemes included</a></div><%
		}
%><div style="background-color:#fcc">
	<% if ( ! aScheme.getErrors().isEmpty()) {
	    %><h4><%=aScheme.getErrors().size()%> errors:</h4>
		  <%=aScheme.getErrors().toHtml(skosHtmlManager,aScheme,null)%>
	  <%}
 	    if ( ! conScheme.getInError().isEmpty()) {
		  if ("errors".equals(display)) {
	      %><div style="position: absolute; margin-top:-100px;"><a name="errors"></a></div>
		  <div style="border:1px; background-color:#fcc"><h4><img src="image/concepterror16.gif" border="0"/><%=conScheme.getInError().size()%> concepts with errors:</h4><ul><%
		        for (String anAbout: conScheme.getInError()) {
		            Concept aConcept = conScheme.getConcept(anAbout);
		         %><li style="list-style-image: url('image/concepterror16.gif');"><%
				    if (aConcept==null) {
					%><%=anAbout%><%
					} else {
					%><%=aConcept.toHtmlLabel(skosHtmlManager)%><%
					}
					%></li><%
			   } 
		  %></ul><%--<table><%
		        for (String anAbout: conScheme.getInError()) {
		            Concept aConcept = conScheme.getConcept(anAbout);
					if (aConcept!=null) {
					%><%=aConcept.toHtmlErrorsTable(skosHtmlManager)%><%
					}
				}
		  %></table>--%></div><%
		  } else {
		  %><h4><a href="view.jsp?scheme=<%=aScheme.getAbout()%>&display=errors<%=framing%>#errors"><img src="image/concepterror16.gif" border="0"/><%=conScheme.getInError().size()%> concepts with errors.</a></h4><%
		  }
	    }
	  }
%></div>
<%
	  if ("concepts".equals(display)) {
		%><div style="position: absolute; margin-top:-100px;"><a name="concepts"></a></div>
		<div>
		<h3><img src="image/concept16.gif" border="0"/><%=aScheme.getSize()%> concepts:</h3><%
			SkosViewType viewType = ("alfa".equals(sort)?SkosViewType.ALFA:SkosViewType.TREE);
			SkosView aView = SkosViewManager.openView (skosManager,schemeCode, viewType,language, null);
			aView.setBasket(true);
			skosHtmlTable.setBasket(true);
			skosHtmlTable.setViewType(viewType);
			skosHtmlTable.setColSpanning( ! "alfa".equals(sort));
			%><table cellspacing="0" class="tableWithFloatingHeader"><col/><%=skosHtmlTable.toHtmlColGroups()%><%
		int count = 0;
		if ("alfa".equals(sort)) {
			LinkedList<ViewConcept> vConcepts = SkosViewManager.getConcepts(aView);
			char initiale = 0x00;
			for (ViewConcept aVConcept: vConcepts) {
			    count++;
			    if(!every && count > maxCount) break;
				if (aVConcept != null) {
				    char currLetter = ' ';
					String aLabel = aVConcept.getPrefLabel();
					if (aLabel.length() > 0) {
					  aLabel = aLabel.substring(0,1).toUpperCase();
  					  if (aLabel.length() > 0) {
				        currLetter = Util.noSingleAccent(aLabel.charAt(0));
					  }
					}
					if (currLetter != initiale) {
					  skosHtmlTable.initRow();
					  %><tr class="<%=(skosHtmlTable.nextRowClass())%>">
					  <th>&nbsp;</th>
					  <th>[<%=currLetter%>]</th>
					  <%=skosHtmlTable.toHtmlApplicationHeaders()%></tr>
					  <%String currHeader = skosHtmlTable.nextRowClass();
					  if (initiale == 0x00) { %>
							<tr class="<%=(currHeader)%>">
							<th>&nbsp;</th>
							<th>&nbsp;</th>
							<%=skosHtmlTable.toHtmlRoleHeaders()%></tr><%
					  }
					  initiale = currLetter;
					}
					%><tr class="<%=(skosHtmlTable.nextRowClass())%>">
					<td class="SkosStatusConcept"><%=aVConcept.getConcept().toHtmlStatus(skosHtmlManager)%></td>
					<td class="SkosTableConcept"><%=aVConcept.getConcept().toHtmlLabel(skosHtmlManager)%></td>
					<%=skosHtmlTable.toHtmlColumns(aVConcept.getConcept())%></tr>
					<%
				}
			}%>
							<tr class="floatingHeaders">
							<th>&nbsp;</th>
							<th>&nbsp;</th>
							<%=skosHtmlTable.toHtmlRoleHeaders()%></tr><%
		} else {
		    skosHtmlTable.initRow();
			if (!every) {
				skosHtmlTable.setLimit(maxCount);
			}
			%>
			  <tr class="<%=(skosHtmlTable.nextRowClass())%>">
				  <th>&nbsp;</th>
				  <th>&nbsp;</th>
			      <th<%=skosHtmlTable.toHtmlWholeSpan()%>> <%=skosHtmlManager.toHtmlImage(aScheme.getIconAdapted(skosHtmlManager),aScheme.getAbout(),false)%> <%=aScheme.getTitle(language)%> </th>
				  <%=skosHtmlTable.toHtmlApplicationHeaders()%>
			  </tr>
			  <tr class="<%=(skosHtmlTable.nextRowClass())%>">
				  <th>&nbsp;</th>
				  <th class="math"><%if (skosHtmlTable.isHierarchized()) {%>&#8615;<%}%></th>
				  <th<%=skosHtmlTable.toHtmlWholeSpan()%>> </th>
				  <%=skosHtmlTable.toHtmlRoleHeaders()%>
			  </tr><%
			  SkosViewManager.toHtmlTableOut(out, aView, skosHtmlTable);
			  if (!every) {
				count = maxCount-skosHtmlTable.getLimit();
			  }
			  %><tr class="floatingHeaders">
				  <th>&nbsp;</th>
				  <th class="math"><%if (skosHtmlTable.isHierarchized()) {%>&#8615;<%}%></th>
				  <th<%=skosHtmlTable.toHtmlWholeSpan()%>> </th>
				  <%=skosHtmlTable.toHtmlRoleHeaders()%>
			  </tr><%
		}
			%></table><%
		if (!every && count > maxCount) {
 		    %><a href="<%=request.getContextPath()%>/view.jsp?everything=yes&scheme=<%=aScheme.getAbout()%><%=framing%>&display=concepts&sort=<%=sort%>#concepts" class="linkaction">All <%=aScheme.getSize()%> concepts</a><br/><%  
		}
	  }
%></div>
<p>Last loaded: <%=aScheme.getLastLoaded().toString()%>, CPU time: <%=String.format("%,d", aScheme.getLoadTime())%>ms, RAM:<%=String.format("%,d",aScheme.getMemorySpace()/1000)%>k</p>
<p><a class="linkaction" href="view.jsp?scheme=<%=schemeCode%>&reload=1<%=framing%>">Reload</a> &nbsp; <a class="linkaction" href="skos.jsp?about=<%=schemeCode%>" target="SKOS-RDF">SKOS/RDF Export</a></p>
<%
   } else {%>
<h3>Scheme <%=schemeCode%> not loaded.</h3><%
}%>
<br style="clear:both"/><img src="image/carrevide.gif" height="50" border="0" alt="bottom margin"/>
</div>
</body></html>